<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 4:41 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['descripcion']) && isset($_REQUEST['fechaInicio']) && isset($_REQUEST['fechaFin']) && isset($_REQUEST['tipoVotacion'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $validar  = R::findOne( 'consulta', ' descripcion =:nombreC AND id_condominio =:id_condominioc ',array('nombreC' => $_REQUEST['descripcion'], 'id_condominioc' => $condominio['condominio_id']));
            if (is_null($validar)==TRUE){
                $consulta = R::dispense('consulta');
                $consulta->descripcion = $_REQUEST['descripcion'];
                $consulta->fechaInicio = $_REQUEST['fechaInicio'];
                $consulta->fechaFin = $_REQUEST['fechaFin'];
                $consulta->tipoVotacion = $_REQUEST['tipoVotacion'];
                $consulta->id_condominio = $condominio['condominio_id'];
                $consulta->id_autor = $creadoPor;
                $consulta->fechaRegistro = date('Y-m-d H:i:s');
                $consulta->fechaModificacion = date('Y-m-d H:i:s');
                $consulta->estado = 1;
                $id = R::store($consulta);
                if ($_REQUEST['tipoVotacion'] == 1){
                    $opcionconsulta = R::dispense('opcionconsulta');
                    $opcionconsulta->descripcion = "A favor";
                    $opcionconsulta->id_consulta = $id;
                    $opcionconsulta->estado = 1;
                    $id1 = R::store($opcionconsulta);
                    $opcionconsulta = R::dispense('opcionconsulta');
                    $opcionconsulta->descripcion = "Abstención";
                    $opcionconsulta->id_consulta = $id;
                    $opcionconsulta->estado = 1;
                    $id1 = R::store($opcionconsulta);
                    $opcionconsulta = R::dispense('opcionconsulta');
                    $opcionconsulta->descripcion = "En Contra";
                    $opcionconsulta->id_consulta = $id;
                    $opcionconsulta->estado = 1;
                    $id1 = R::store($opcionconsulta);
                }
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}